package com.kingdee.eas.custom.gggl;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractAdvertE1Info extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractAdvertE1Info()
    {
        this("id");
    }
    protected AbstractAdvertE1Info(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 第1个表体 's null property 
     */
    public com.kingdee.eas.custom.gggl.AdvertInfo getParent()
    {
        return (com.kingdee.eas.custom.gggl.AdvertInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.gggl.AdvertInfo item)
    {
        put("parent", item);
    }
    /**
     * Object:第1个表体's 年份property 
     */
    public String getYear()
    {
        return getString("year");
    }
    public void setYear(String item)
    {
        setString("year", item);
    }
    /**
     * Object:第1个表体's 计划单价/月property 
     */
    public java.math.BigDecimal getPrice()
    {
        return getBigDecimal("price");
    }
    public void setPrice(java.math.BigDecimal item)
    {
        setBigDecimal("price", item);
    }
    /**
     * Object:第1个表体's 浮动比例property 
     */
    public java.math.BigDecimal getFloatRate()
    {
        return getBigDecimal("floatRate");
    }
    public void setFloatRate(java.math.BigDecimal item)
    {
        setBigDecimal("floatRate", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("AFCBFD3E");
    }
}